weka.knowledgeflow.steps

## Class WriteWekaLog

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.WriteWekaLog

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step

      @KFStep(name="WriteToWekaLog",
              category="Flow",
              toolTipText="Write data to the log",
              iconPath="weka/gui/knowledgeflow/icons/WriteWekaLog.gif")
      public class WriteWekaLog
      extends BaseStep

  Step that takes incoming data and writes it to the Weka log
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriteWekaLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get a list of acceptable incoming connection types (at this point in time)
    `java.lang.String` | `getIncrementalLoggingFrequency()` Get how frequently to write an incremental data point to the log
    `LoggingLevel` | `getLoggingLevel()` Get the logging level to use
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get currently generatable outgoing connection types
    `void` | `processIncoming(Data data)` Process an incoming piece of data
    `void` | `setIncrementalLoggingFrequency(java.lang.String frequency)` Set how frequently to write an incremental data point to the log
    `void` | `setLoggingLevel(LoggingLevel level)` Set the logging level to use
    `void` | `stepInit()` Initialize the step

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getCustomEditorForStep, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriteWekaLog

          public WriteWekaLog()

  - ### Method Detail

    - #### setLoggingLevel

          @OptionMetadata(displayName="Logging level",
                          description="The level at which to write log messages",
                          displayOrder=1)
          public void setLoggingLevel(LoggingLevel level)

      Set the logging level to use
      Parameters:
        `level` - the level to use

    - #### getLoggingLevel

          public LoggingLevel getLoggingLevel()

      Get the logging level to use
      Returns:
        the level to use

    - #### setIncrementalLoggingFrequency

          @OptionMetadata(displayName="Incremental logging frequency",
                          description="How often to write an incremental/streaming data point to the log",
                          displayOrder=2)
          public void setIncrementalLoggingFrequency(java.lang.String frequency)

      Set how frequently to write an incremental data point to the log
      Parameters:
        `frequency` - the frequency (in data points) to write to the log

    - #### getIncrementalLoggingFrequency

          public java.lang.String getIncrementalLoggingFrequency()

      Get how frequently to write an incremental data point to the log
      Returns:
        the frequency (in data points) to write to the log

    - #### stepInit

          public void stepInit()
                        throws WekaException

      Initialize the step
      Throws:
        `WekaException` - if a problem occurs

    - #### processIncoming

          public void processIncoming(Data data)
                               throws WekaException

      Process an incoming piece of data
      Specified by:
        `processIncoming` in interface `BaseStepExtender`
      Specified by:
        `processIncoming` in interface `Step`
      Overrides:
        `processIncoming` in class `BaseStep`
      Parameters:
        `data` - the payload to process
      Throws:
        `WekaException` - if a problem occurs

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get a list of acceptable incoming connection types (at this point in time)
      Returns:
        a list of legal incoming connection types to accept

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Get currently generatable outgoing connection types
      Returns:
        a list of outgoing connection types